Skip to main content
PATCH
/
v1
/
connector-mappings
/
{connectorMappingId}
Update connector mapping
curl --request PATCH \
  --url https://api.openworklabs.com/v1/connector-mappings/{connectorMappingId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "selector": "<string>",
  "objectType": "skill",
  "pluginId": "<string>",
  "autoAddToPlugin": true,
  "config": {}
}
'
{
  "ok": true,
  "item": {
    "id": "<string>",
    "connectorInstanceId": "<string>",
    "connectorTargetId": "<string>",
    "connectorType": "github",
    "remoteId": "<string>",
    "mappingKind": "path",
    "selector": "<string>",
    "objectType": "skill",
    "pluginId": "<string>",
    "autoAddToPlugin": true,
    "mappingConfigJson": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

connectorMappingId
string<typeid>
required

Den TypeID with 'cmp_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cmp_.*

Body

application/json
selector
string
Required string length: 1 - 255
objectType
enum<string>
Available options:
skill,
agent,
command,
tool,
mcp,
hook,
context,
custom
pluginId
string<typeid> | null

Den TypeID with 'plg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^plg_.*
autoAddToPlugin
boolean
config
object

Response

Connector mapping updated successfully.

ok
boolean
required
item
object
required